import { Card, CardBody, CardTitle, Grid, GridItem } from "@patternfly/react-core";
import React from "react";
import { WlanCountrySelector } from "./wlan/WlanCountrySelect.jsx";
import cockpit from "cockpit";
import { RevPiHelpText } from "../common.components.jsx";

const _ = cockpit.gettext;

export function NetworkCard ({
    getRevpiSwitch,
    getRevPiToggle
}) {
    const cardTitle = _("WLAN and BT");
    return (
        <Card isFullHeight name='network'>
            <CardTitle>
                {cardTitle}
                <RevPiHelpText title={cardTitle}>
                    {_("Configure WLAN and BT.")}
                </RevPiHelpText>
            </CardTitle>
            <CardBody>

                <Grid hasGutter>
                    <GridItem span={12}>
                        {getRevpiSwitch("ieee80211")}
                    </GridItem>
                    <GridItem span={12}>
                        {getRevpiSwitch("bluetooth")}
                    </GridItem>
                    <GridItem span={12}>
                        {getRevPiToggle("external-antenna")}
                    </GridItem>
                    <GridItem span={12}>
                        <WlanCountrySelector />
                    </GridItem>
                </Grid>
            </CardBody>
        </Card>
    );
}
