import { Card, CardBody, CardTitle, Grid, GridItem } from "@patternfly/react-core";
import { PictoryLink } from "./pictory-link/PictoryLinkButton.jsx";
import React from "react";
import cockpit from "cockpit";
import { RevPiHelpText } from "../common.components.jsx";
import { InstallFeatureCard } from "./InstallFeature.jsx";

const _ = cockpit.gettext;

export function PictoryCard () {
    const cardTitle = _("PiCtory");
    const pictoryPackageName = ["pictory", "pictory-apache"];
    const pictoryFeatureName = "PiCtory";

    return (
        <Card isFullHeight name='pictory'>
            <CardTitle>
                {cardTitle}
                <RevPiHelpText title={cardTitle}>
                    {_("The web application PiCtory creates and manages the configuration file for the Revolution Pi system.")}
                </RevPiHelpText>
            </CardTitle>
            <CardBody>
                <Grid hasGutter>
                    <GridItem span={12}>
                        <InstallFeatureCard packagesName={pictoryPackageName} featureName={pictoryFeatureName}>
                            <PictoryLink />
                        </InstallFeatureCard>
                    </GridItem>
                </Grid>
            </CardBody>
        </Card>
    );
}
