import React from "react";
import cockpit from "cockpit";
import { Button } from "@patternfly/react-core/dist/esm/components/Button";
import { Alert } from "@patternfly/react-core";
import { OutlinedWindowRestoreIcon } from "@patternfly/react-icons";

const _ = cockpit.gettext;

function openNodeRed () {
    const url = new URL(cockpit.transport.origin);
    url.port = "41880";
    window.open(url.toString(), "_blank");
}

export function NodeRedLink (props) {
    if (props.isDisabled === true) {
        return (
            <Alert
                variant='info' isInline isPlain
                title={_("Node-RED is disabled. To start Node-RED, please enable the service.")}
            />
        );
    }

    return (
        <Button
            isBlock
            variant='primary'
            size='lg'
            icon={<OutlinedWindowRestoreIcon />}
            isDisabled={props.isDisabled}
            onClick={openNodeRed}
        >
            Node-RED
        </Button>
    );
}
